import numpy as np

vecteur_1d = np.array([1,2,3,4,5,6,7,8,9,10])
print("vecteur_1d = ",vecteur_1d)
print("vecteur_1d[1] = ", vecteur_1d[1]) 
print("vecteur_1d[[1,3]] = ", vecteur_1d[[1,3]]) 
print("vecteur_1d[[0,-1]] = ", vecteur_1d[[0,-1]]) 
print("vecteur_1d[2:6] = ", vecteur_1d[2:6]) 
print("vecteur_1d[2:] = ", vecteur_1d[2:]) 
print("vecteur_1d[0:10:2] = ", vecteur_1d[0:10:2])